/* 
 * File:   AliViewer.h
 * Author: tg
 *
 * Created on November 21, 2011, 1:20 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ALIVIEWER_H
#define	ALIVIEWER_H

#include <QtGui>
#include <string>
#include <map>

class AliViewer: public QPlainTextEdit {
    Q_OBJECT
private:
    std::map<std::string, std::string> ids_and_Sequences_;
    std::map<std::string, std::string> ids_and_Chain_;
    int idMarginWidth_;
    int chainMarginWidth_;

    QPlainTextEdit* idsViewer_;
    QPlainTextEdit* chainsViewer_;

    int idsWidth() const;

public:
    AliViewer(QPlainTextEdit* parent = 0);
    ~AliViewer();
    void resizeEvent(QResizeEvent* event);
public slots:
    void showMatches(const std::string&, const std::string&);
    void showAlignments(const std::map<std::string, std::string>&);

};

#endif	/* ALIVIEWER_H */

