/* 
 * File:   AlignLayout.h
 * Author: tg
 *
 * Created on November 6, 2011, 12:58 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ALIGNLAYOUT_H
#define	ALIGNLAYOUT_H

#include "AliViewer.h"
#include "AliTableView.h"

#include <Sequence.h>
#include <QtGui>
#include <map>
#include <string>

class AlignLayout: public QWidget {
    Q_OBJECT
private:
    AliTableView* aliViewer_;
    // AliViewer* aliViewer_;
    QComboBox*      targetIDSelector_;

    std::map<std::string, std::string> seqs_;


    std::string target_sequence_ID_;
    std::string model_sequence_ID_;
    std::string pdbChains_;

    QString alignment_file_;
    QString alignFilter_;
    QLineEdit* alignmentInput_;
    QButtonGroup* modelSequenceBtn_;
    QVBoxLayout* vlayout_;

private slots:
    void targetID(const QString&);

public:
    AlignLayout(QWidget* parent = 0);
    ~AlignLayout();

    std::string pdbChains() const {return pdbChains_; }
    Sequence modelSequence() const;
    Sequence targetSequence() const;

    std::string target_sequence_ID () const { return target_sequence_ID_; }
    std::string model_sequence_ID () const { return model_sequence_ID_; }
public slots:
    void nameChange(const QString& name);
    void fileBrowsing();
    void highlightMatches(std::string, std::string);
    void showalignments();
signals:
    void new_sequence(const std::map<std::string, std::string>&);
    void match(const std::string&, const std::string&);
    void targetID(std::string id);

};

#endif	/* ALIGNLAYOUT_H */

