/* 
 * File:   Control.cpp
 * Author: tg
 * 
 * Created on November 6, 2011, 1:05 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Control.h"
#include <iostream>

Control::Control(QWidget* parent)
: QWidget(parent) {

    QHBoxLayout* layout  = new QHBoxLayout;
    QPushButton* runbtn  = new QPushButton("Run");
    QPushButton* quitbtn = new QPushButton("Quit");

    connect(quitbtn, SIGNAL(pressed()), qApp, SLOT(quit()));
    connect(runbtn, SIGNAL(pressed()), this, SLOT(fwdRun()));
    
    layout->addWidget(quitbtn, 0, Qt::AlignRight);
    layout->addWidget(runbtn, 0, Qt::AlignRight);

    setLayout(layout);
}

Control::~Control() {
}


void Control::fwdRun() {
    emit runmrtailor();
}
