/* 
 * File:   PDBInput.cpp
 * Author: tg
 * 
 * Created on November 6, 2011, 12:59 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "PDBFileIn.h"

PDBFileIn::PDBFileIn(QWidget* parent) : QWidget(parent) {
    QLabel* fileLabel = new QLabel(tr("Template PDB File:"));
    fileEdit = new QLineEdit(filename);
    fileEdit->setStatusTip(tr("Name of the input template PDB file"));
    browseButton = new QPushButton(tr ("Browse"));

    connect (fileEdit, SIGNAL(textEdited(const QString)), this, SLOT(nameChange(const QString)));
    connect (browseButton, SIGNAL (pressed()), this, SLOT (fileBrowsing()));

    QHBoxLayout* layout = new QHBoxLayout;

    layout->addWidget(fileLabel);
    layout->addWidget(fileEdit);
    layout->addWidget(browseButton);

    setLayout(layout);
}

PDBFileIn::~PDBFileIn() {
}

void PDBFileIn::nameChange(const QString& name) {
    filename = name;
}

void PDBFileIn::fileBrowsing() {
    fileEdit->setText(QFileDialog::getOpenFileName(this, tr("Open Input PDB file "),
            filename, tr("PDB file (*.pdb *.ent)"), &pdbFilter));
    if (!fileEdit->text().isEmpty()) {
        emit new_file(fileEdit->text());
    }
}
