/* 
 * File:   PDBFileOut.cpp
 * Author: tg
 * 
 * Created on November 7, 2011, 4:45 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "PDBFileOut.h"


PDBFileOut::PDBFileOut(QWidget* parent) : QWidget(parent) {
    QLabel* fileLabel = new QLabel(tr("Saved PDB File:"));
    fileEdit = new QLineEdit(filename);
    fileEdit->setStatusTip(tr("Name of the output PDB file"));
    browseButton = new QPushButton(tr("Browse"));

    connect(fileEdit, SIGNAL(textChanged(const QString)), this, SLOT(nameChange(const QString)));
    connect(browseButton, SIGNAL(pressed()), this, SLOT(fileBrowsing()));

    QHBoxLayout* layout = new QHBoxLayout;

    layout->addWidget(fileLabel);
    layout->addWidget(fileEdit);
    layout->addWidget(browseButton);

    setLayout(layout);
}

PDBFileOut::~PDBFileOut() {
}

void PDBFileOut::nameChange(const QString& name) {
    filename = name;
    emit new_file(fileEdit->text());
}

void PDBFileOut::fileBrowsing() {
    fileEdit->setText(QFileDialog::getOpenFileName(this, tr("Select or type output PDB file "),
            filename, tr("PDB file (*.pdb)"), &pdbFilter));
    if (!fileEdit->text().isEmpty()) {
        emit new_file(fileEdit->text());
    }

}
