/* 
 * File:   ProsmartDialog.h
 * Author: tg
 *
 * Created on January 17, 2013, 1:41 PM
 */

#ifndef PROSMARTDIALOG_H
#define	PROSMARTDIALOG_H

#include <QtGui>
class ProsmartDialog: public QWidget {
    Q_OBJECT

private:
    QLineEdit* refiPDBEdit;
    QPushButton* browseRefiPDB;
    QLineEdit* outDirEdit;
    QPushButton* browseOutDir;
    //! enforce sequence if PDB file and Alignment file don't match
    QCheckBox* forceSequence_;

    QString refiPDBFilename;
    QString outdirName;

public:
    ProsmartDialog(QWidget* parent = 0);
    ~ProsmartDialog();

    bool forcesequence() { return forceSequence_->isChecked(); }

public slots:
    void nameChangeRefiPDB(const QString& name);
    void nameChangeOutDir(const QString& name);
    void fileBrowsing();
    void dirBrowsing();
    void new_file_slot(const QString&);
signals:
    void new_file(const QString&);
    void new_dir (const QString&);


};

#endif	/* PROSMARTDIALOG_H */

