/* 
 * File:   QScoreInput.h
 * Author: tg
 *
 * Created on February 18, 2012, 2:22 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef QSCOREINPUT_H
#define	QSCOREINPUT_H

#include <QtGui>

class QScoreInput: public QWidget {
    Q_OBJECT
private:
    QLineEdit* fileEdit_;
    QString filename_;
    int cutoff_;
public:
    QScoreInput(QWidget* parent = 0);
    ~QScoreInput();
public slots:
    void nameChange(const QString& name);

    void fileBrowsing();
    void cutoffChange(const int);
signals:
    void new_file(const QString&, int);
};

#endif	/* QSCOREINPUT_H */

