/* 
 * File:   RunProsmart.cpp
 * Author: tg
 * 
 * Created on January 17, 2013, 1:00 PM
 */

#include "RunProsmart.h"

RunProsmart::RunProsmart(QWidget* parent): QWidget(parent) {
    runProsmart_ = new QCheckBox("Run Prosmart");
    runProsmart_->setCheckState(Qt::Checked);
    
    prosmartDialog_ = new ProsmartDialog;
    
    connect(runProsmart_, SIGNAL (toggled(bool)), prosmartDialog_, SLOT(setVisible(bool)));
    connect (prosmartDialog_, SIGNAL (new_dir (const QString&)), 
               this, SLOT (set_prosmartoutdir(const QString&)));
    connect (prosmartDialog_, SIGNAL (new_file(const QString&)), 
            this, SLOT (set_refipdbfile(const QString&)));

    QVBoxLayout* layout = new QVBoxLayout();
    layout->addWidget(runProsmart_);
    layout->addWidget(prosmartDialog_);
    
    setLayout(layout);

}

RunProsmart::~RunProsmart() {
}

void RunProsmart::set_prosmartoutdir(const QString& newdir) {
    if (prosmartoutdir_ != newdir) {
        prosmartoutdir_ = newdir;
    }
}

void RunProsmart::set_refipdbfile(const QString& newpdb) {
    if (refiPDBfile_ != newpdb) {
        refiPDBfile_ = newpdb;
    }
}