/* 
 * File:   RunProsmart.h
 * Author: tg
 *
 * Created on January 17, 2013, 1:00 PM
 */

#ifndef RUNPROSMART_H
#define	RUNPROSMART_H

#include <QtGui>
#include "ProsmartDialog.h"

class RunProsmart : public QWidget {
    Q_OBJECT
private:
    //! toggle to show this dialog
    QCheckBox* runProsmart_;
    ProsmartDialog* prosmartDialog_;
    QString prosmartoutdir_;
    QString refiPDBfile_;
    
    
public:
    RunProsmart(QWidget* parent = 0);
    ~RunProsmart();
    
    bool runprosmart() { return runProsmart_->isChecked(); }
    
    QString outdir() const { return prosmartoutdir_; }
    QString pdbfile() const { return refiPDBfile_; }
    void uncheck() { runProsmart_->setChecked(false); }
    
    //! forwarding function whether or not to enforce sequence
    bool forceSequence() const { return prosmartDialog_->forcesequence(); }
        
private slots:
    void set_prosmartoutdir(const QString&);
    void set_refipdbfile(const QString&);

};

#endif	/* RUNPROSMART_H */

