/* 
 * File:   Exception.h
 * Author: tg
 *
 * Created on October 30, 2011, 6:13 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GUIEXCEPTION_H
#define	GUIEXCEPTION_H

#include <string>
namespace guiException {

    class Bounds {
    private:
        const std::string msg_;
    public:

        Bounds(const std::string& message) : msg_(message) {
        }

        ~Bounds() throw () {
        };
        const std::string what() const throw ();
    };

    class Format {
    private:
        const std::string msg_;
    public:

        Format(const std::string& message) : msg_(message) {
        }

        ~Format() throw () {
        };
        const std::string what() const throw ();
    };

    class PDBFormat {
    private:
        const std::string msg_;
    public:

        PDBFormat(const std::string& message) : msg_(message) {
        }

        ~PDBFormat() throw () {
        };
        const std::string what() const throw ();

    };

    class Programming {
    private:
        const std::string msg_;
    public:

        Programming(const std::string& message) : msg_(message) {
        }

        ~Programming() throw () {
        };
        const std::string what() const throw ();

    };
}
#endif	/* GUIEXCEPTION_H */

