/* 
 * File:   Exception.cpp
 * Author: tg
 * 
 * Created on October 30, 2011, 6:13 PM
 *
 * mrtailor: alignment based preparation of PDB files for MR.
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Exception.h"
#include <sstream>

const std::string Exception::Bounds::what() const throw() {
    std::ostringstream error;

    error << "*** Bounds error (value too low or too high): "
            << msg_ << "\n";
    return error.str();
}

const std::string Exception::PDBFormat::what() const throw() {
    std::ostringstream error;
    error << "*** PDB format error\n";
    return error.str();
}

const std::string Exception::PDBSequence::what() const throw() {
    std::ostringstream error;
    error << "*** Sequence mismatch between PDB file and alignment file\n";
    return error.str();
}

const std::string Exception::QScoreFormat::what() const throw() {
    std::ostringstream error;
    error << "*** QSCore file with wrong format\n";
    return error.str();
}

const std::string Exception::Programming::what() const throw() {
    std::ostringstream error;
    error << "*** Programming error! Please contact the author " 
            << "tg@shelx.uni-ac.gwdg.de\n";
    return error.str();
}

const std::string Exception::SystemCall::what() const throw() {
    std::ostringstream error;
    error << "*** Failure of system call \n"
            << msg_;
    return error.str();
}