/* 
 * File:   Exception.h
 * Author: tg
 *
 * Created on October 30, 2011, 6:13 PM
 *
 * mrtailor: alignment based preparation of PDB files for MR.
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EXCEPTION_H
#define	EXCEPTION_H

#include <string>
namespace Exception {
    class MyExcepts {
    protected:
        const std::string msg_;
    public:
        MyExcepts(const std::string& message): msg_(message) {}
        ~MyExcepts() throw() {};
        virtual const std::string what() const throw() = 0;
    };

    class Bounds: public MyExcepts {
    public:
        Bounds(const std::string& message): MyExcepts(message) {}
        ~Bounds() throw() {};
        const std::string what() const throw();
    };

    class PDBFormat: public MyExcepts {
    public:
        PDBFormat(const std::string& message): MyExcepts(message) {}
        ~PDBFormat() throw() {};
        const std::string what() const throw();
    };
    
    class PDBSequence: public MyExcepts {
    public:
        PDBSequence(const std::string& message): MyExcepts(message) {}
        ~PDBSequence() throw() {};
         const std::string what() const throw();
   };

    class QScoreFormat: public MyExcepts {
    public:
        QScoreFormat(const std::string& message): MyExcepts(message) {}
        ~QScoreFormat() throw() {};
        const std::string what() const throw();
    };

    class Programming: public MyExcepts {
    public:
        Programming(const std::string& message): MyExcepts(message) {}
        ~Programming() throw() {};
        const std::string what() const throw();
    };
    class SystemCall: public MyExcepts {
    public:
        SystemCall (const std::string& message): MyExcepts(message){}
        ~SystemCall() throw () {};
        const std::string what() const throw();
    };
}
#endif	/* EXCEPTION_H */

