/* 
 * File:   ProSmart.h
 * Author: tg
 *
 * Created on February 4, 2013, 5:00 PM
 */

#ifndef PROSMART_H
#define	PROSMART_H

#include "PDB.h"
#include "Sequence.h"
#include <string>

class ProSmart {
private:
    PDB refiPDB_;
    
    std::string refiPDBname_;
    const std::string templatePDBname_;
    Sequence refiSequence_;
    const std::string outdir_;
    std::string prosmart_cmd_;
    
    bool remove_temp_pdbfile_;

public:
    ProSmart(const std::string& refiPDB, 
            const std::string& templatePDB, 
            const Sequence& refiSequence,
            const std::string outdir);
    ~ProSmart();
    
    std::string chainsSearch() const;
    std::string flexiSearchAndMatch (const double coverage);
    int run(const std::string& refinementChains, const char templateChain);

    //! print warning message when no chains were found in PDB file
    std::string warnNoSequences() const;
};

#endif	/* PROSMART_H */

