/* 
 * File:   QScores.h
 * Author: tg
 *
 * Created on February 14, 2012, 4:09 PM
 *
 * mrtailor: alignment based preparation of PDB files for MR.
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef QSCORES_H
#define	QSCORES_H

#include "Sequence.h"
#include <vector>

class QScores {
private:
    Sequence sequence_;
    std::vector<int> scores_;

    /*compare all sequences_ with sequence and pick the matching one */
    void select (const Sequence& sequence, const std::vector<std::string>& seqs);
    //! remove gaps both in parallel from sequence_ and scores_
    void reduce();
    
public:
    QScores() {}
    ///! read qscores file and select sequence
    QScores(const char* filename, const Sequence& target);
    ///! return the score at position @c n
    int score(unsigned int n) const {return scores_[n];}
    int initialised() const { return !scores_.empty(); }
};

#endif	/* QSCORES_H */

